var express = require('express');
var app = express();
var bodyParser = require('body-parser');

var sid_tmp = 0;
var tmp = 0;
var hum = 0;
var lux = 0;

var sid_co2 = 0;
var co2 = 0;

var sid_human = 0;
var detect_count = 0;

app.set('port', (process.env.PORT || 5000));
app.set('view engine', 'ejs');

app.use(bodyParser.urlencoded({ extended: false }));
app.use(bodyParser.json());

app.get('/', function(req, res){
  res.render('index', {sid_tmp: sid_tmp, hum: hum, tmp: tmp, lux: lux, sid_co2: sid_co2, co2: co2, sid_human: sid_human, detect_count: detect_count});
});

app.post('/series', function(req, res) {
    console.log('post:/series');

    sid_tmp = req.body.sid_tmp;
    tmp = req.body.tmp;
    hum = req.body.hum;
    lux = req.body.lux;

    sid_co2 = req.body.sid_co2;
    co2 = req.body.co2;

    sid_human = req.body.sid_human;
    detect_count = req.body.detect_count;

    res.send("Received\n");
});

app.listen(app.get('port'), function() {
  console.log("Node app is running at localhost:" + app.get('port'));
});
